:root {
    /*--pico-font-family-sans-serif: "Nunito Sans", system-ui, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, Helvetica, Arial, "Helvetica Neue", sans-serif, var(--pico-font-family-emoji);*/
    /*--pico-font-family-sans-serif: "Nunito Sans";*/   
}

[data-theme=light],
:root:not([data-theme=dark]) {
    --pico-box-shadow: 0px 0px 5px rgba(150, 150, 150, 0.4);
}

h1 {
    --pico-font-size: 2rem;
    --pico-line-height: 1.125;
    --pico-typography-spacing-top: 3rem;
}
  
h2 {
    --pico-font-size: 1.25rem;
    --pico-line-height: 1.2;
    --pico-typography-spacing-top: 1.874rem;
}

h3 {
    --pico-font-size: 1.125rem;
    --pico-line-height: 1.225;
    --pico-typography-spacing-top: 1.6875rem;
}

h4 {
    --pico-font-size: 1rem;
    --pico-line-height: 1.25;
    --pico-typography-spacing-top: 1.5rem;
}

body {
    display: grid;
    width: 100%;
    height: 100vh;
    margin: 0;
    grid-template-rows: auto 1fr auto;
}

.desktop { 
    display: inherit; 
}

.mobile { 
    display: none; 
}

.inverted {   
    text-align: center;
    background: #000000;
    color: #ffffff;
}

@media only screen and (max-width: 800px) {
    nav ul:first-of-type {
        margin-left: 0rem;
    }
    nav li {
        padding-top: 0px;
        padding-bottom: 0px;
    }
    nav details.dropdown {
        margin: 0px;
    }
    .desktop { display: none; }
    .mobile { display: inherit; }
}

.projects {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 1.5rem;
    grid-row-gap: 1rem;
}

@media only screen and (max-width: 800px) {
    .projects { grid-template-columns: repeat(1, 1fr); }
}

ul.projects { 
    padding-left: 0rem;
}

ul.projects li  {
    list-style: none;
}

.projects img {
    width: 100%;
}

figcaption {
    font-size: medium;
}

.dummycontainer {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 85%;
}

.dummy {
    height: 6rem;
    width: 6rem;
    border-radius: 50%;
    background-color: black;
    text-align: center;
}

.project-layout {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 6rem;
}


@media only screen and (max-width: 800px) {
    .project-layout { grid-template-columns: 1fr; }
}

.project-info {
    line-height: 1.5em;
}

.project-info dd {
    margin-left: 0rem;
}

.project-text {
    margin-bottom: 1.5rem;
}

.project-info dt {
    font-weight: bold;
}

.project-gallery ul li {
    list-style: none;
}

.project-gallery ul {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
    grid-gap: 1.5rem;
    padding-left: 0px;
}

.project-gallery li:first-child {
    grid-column-start: 1;
    grid-column-end: -1;
}

.project-gallery img {
    width: 100%;
    margin-left: 0rem;
}

.blog-layout {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 6rem;
    width: 60%;
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 1024px) {
    .blog-layout { grid-template-columns: 1fr; width: 100%; }
}

.article-layout {
    width: 60%;
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 1024px) {
    .article-layout { width: 100%; }
}

.article-info {
    line-height: 1.5em;
}

dd {
    margin-left: 0rem;
}

.article-text {
    margin-bottom: 1.5rem;
}

.article-info dt {
    font-weight: bold;
}

.about-layout {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-gap: 6rem;
}

@media (max-width: 1024px) {
    .about-layout { grid-template-columns: 1fr; }
}

.about-info {
    line-height: 1.5em;
}

.about-text {
    margin-bottom: 1.5rem;
}

.about-info dd {
    margin-left: 0rem;
}

.about-info dt {
    font-weight: bold;
}

.about-gallery ul { 
    padding-left: 0rem;
}

.about-gallery ul li {
    list-style: none;
}

.about-gallery ul {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
    grid-gap: 1.5rem;
}

.about-gallery li:first-child {
    grid-column-start: 1;
    grid-column-end: -1;
}

.about-gallery img {
    width: 100%;
}

.workshop-layout {
    padding-top: 6rem;
    width: 80%;
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 1024px) {
    .workshop-layout { width: 100%; }
}